EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIDGET_EVENT_LANGUAGE_CHANGED =
   EFL_EVENT_DESCRIPTION("language,changed");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIDGET_EVENT_ACCESS_CHANGED =
   EFL_EVENT_DESCRIPTION("access,changed");

Eina_Bool _efl_ui_widget_cursor_set(Eo *obj, Efl_Ui_Widget_Data *pd, const char *cursor);


static Eina_Error
__eolian_efl_ui_widget_cursor_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_widget_cursor_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_widget_cursor_set, Eina_Bool, 0, EFL_FUNC_CALL(cursor), const char *cursor);

const char *_efl_ui_widget_cursor_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


static Eina_Value
__eolian_efl_ui_widget_cursor_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_widget_cursor_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_cursor_get, const char *, NULL);

Eina_Bool _efl_ui_widget_cursor_style_set(Eo *obj, Efl_Ui_Widget_Data *pd, const char *style);


static Eina_Error
__eolian_efl_ui_widget_cursor_style_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_widget_cursor_style_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_widget_cursor_style_set, Eina_Bool, 0, EFL_FUNC_CALL(style), const char *style);

const char *_efl_ui_widget_cursor_style_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


static Eina_Value
__eolian_efl_ui_widget_cursor_style_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_widget_cursor_style_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_cursor_style_get, const char *, NULL);

Eina_Bool _efl_ui_widget_cursor_theme_search_enabled_set(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Bool allow);


static Eina_Error
__eolian_efl_ui_widget_cursor_theme_search_enabled_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_widget_cursor_theme_search_enabled_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_widget_cursor_theme_search_enabled_set, Eina_Bool, 0, EFL_FUNC_CALL(allow), Eina_Bool allow);

Eina_Bool _efl_ui_widget_cursor_theme_search_enabled_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


static Eina_Value
__eolian_efl_ui_widget_cursor_theme_search_enabled_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_widget_cursor_theme_search_enabled_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_cursor_theme_search_enabled_get, Eina_Bool, EINA_TRUE /* true */);

void _efl_ui_widget_resize_object_set(Eo *obj, Efl_Ui_Widget_Data *pd, Efl_Canvas_Object *sobj);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_widget_resize_object_set, EFL_FUNC_CALL(sobj), Efl_Canvas_Object *sobj);

void _efl_ui_widget_disabled_set(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Bool disabled);


static Eina_Error
__eolian_efl_ui_widget_disabled_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_widget_disabled_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_widget_disabled_set, EFL_FUNC_CALL(disabled), Eina_Bool disabled);

Eina_Bool _efl_ui_widget_disabled_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


static Eina_Value
__eolian_efl_ui_widget_disabled_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_widget_disabled_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_disabled_get, Eina_Bool, EINA_FALSE /* false */);

Eina_Error _efl_ui_widget_style_set(Eo *obj, Efl_Ui_Widget_Data *pd, const char *style);


static Eina_Error
__eolian_efl_ui_widget_style_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_widget_style_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_widget_style_set, Eina_Error, 0, EFL_FUNC_CALL(style), const char *style);

const char *_efl_ui_widget_style_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


static Eina_Value
__eolian_efl_ui_widget_style_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_widget_style_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_style_get, const char *, NULL);

Eina_Bool _efl_ui_widget_widget_input_event_handler(Eo *obj, Efl_Ui_Widget_Data *pd, const Efl_Event *eo_event, Efl_Canvas_Object *source);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_widget_input_event_handler, Eina_Bool, 0, EFL_FUNC_CALL(eo_event, source), const Efl_Event *eo_event, Efl_Canvas_Object *source);

void _efl_ui_widget_focus_allow_set(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Bool can_focus);


static Eina_Error
__eolian_efl_ui_widget_focus_allow_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_widget_focus_allow_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_widget_focus_allow_set, EFL_FUNC_CALL(can_focus), Eina_Bool can_focus);

Eina_Bool _efl_ui_widget_focus_allow_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


static Eina_Value
__eolian_efl_ui_widget_focus_allow_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_widget_focus_allow_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_focus_allow_get, Eina_Bool, 0);

void _efl_ui_widget_widget_parent_set(Eo *obj, Efl_Ui_Widget_Data *pd, Efl_Ui_Widget *parent);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_widget_parent_set, EFL_FUNC_CALL(parent), Efl_Ui_Widget *parent);

Efl_Ui_Widget *_efl_ui_widget_widget_parent_get(const Eo *obj, Efl_Ui_Widget_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_parent_get, Efl_Ui_Widget *, NULL);

void _efl_ui_widget_access_info_set(Eo *obj, Efl_Ui_Widget_Data *pd, const char *txt);


static Eina_Error
__eolian_efl_ui_widget_access_info_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_widget_access_info_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_widget_access_info_set, EFL_FUNC_CALL(txt), const char *txt);

const char *_efl_ui_widget_access_info_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


static Eina_Value
__eolian_efl_ui_widget_access_info_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_widget_access_info_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_access_info_get, const char *, NULL);

Eina_Bool _efl_ui_widget_on_access_activate(Eo *obj, Efl_Ui_Widget_Data *pd, Efl_Ui_Activate act);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_widget_on_access_activate, Eina_Bool, 0, EFL_FUNC_CALL(act), Efl_Ui_Activate act);

void _efl_ui_widget_on_access_update(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Bool enable);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_widget_on_access_update, EFL_FUNC_CALL(enable), Eina_Bool enable);

Eina_Bool _efl_ui_widget_widget_sub_object_add(Eo *obj, Efl_Ui_Widget_Data *pd, Efl_Canvas_Object *sub_obj);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_widget_sub_object_add, Eina_Bool, 0, EFL_FUNC_CALL(sub_obj), Efl_Canvas_Object *sub_obj);

Eina_Bool _efl_ui_widget_widget_sub_object_del(Eo *obj, Efl_Ui_Widget_Data *pd, Efl_Canvas_Object *sub_obj);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_widget_sub_object_del, Eina_Bool, 0, EFL_FUNC_CALL(sub_obj), Efl_Canvas_Object *sub_obj);

Eina_Error _efl_ui_widget_theme_apply(Eo *obj, Efl_Ui_Widget_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY(efl_ui_widget_theme_apply, Eina_Error, 0);

void _efl_ui_widget_scroll_hold_push(Eo *obj, Efl_Ui_Widget_Data *pd);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_ui_widget_scroll_hold_push);

void _efl_ui_widget_scroll_hold_pop(Eo *obj, Efl_Ui_Widget_Data *pd);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_ui_widget_scroll_hold_pop);

void _efl_ui_widget_scroll_freeze_push(Eo *obj, Efl_Ui_Widget_Data *pd);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_ui_widget_scroll_freeze_push);

void _efl_ui_widget_scroll_freeze_pop(Eo *obj, Efl_Ui_Widget_Data *pd);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_ui_widget_scroll_freeze_pop);

Eina_Rect _efl_ui_widget_interest_region_get(const Eo *obj, Efl_Ui_Widget_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_interest_region_get, Eina_Rect, (EINA_RECT_EMPTY()));

Eina_Rect _efl_ui_widget_focus_highlight_geometry_get(const Eo *obj, Efl_Ui_Widget_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_focus_highlight_geometry_get, Eina_Rect, (EINA_RECT_EMPTY()));

void _efl_ui_widget_focus_move_policy_set(Eo *obj, Efl_Ui_Widget_Data *pd, Efl_Ui_Focus_Move_Policy policy);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_widget_focus_move_policy_set, EFL_FUNC_CALL(policy), Efl_Ui_Focus_Move_Policy policy);

Efl_Ui_Focus_Move_Policy _efl_ui_widget_focus_move_policy_get(const Eo *obj, Efl_Ui_Widget_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_focus_move_policy_get, Efl_Ui_Focus_Move_Policy, 0);

void _efl_ui_widget_focus_move_policy_automatic_set(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Bool automatic);


static Eina_Error
__eolian_efl_ui_widget_focus_move_policy_automatic_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_widget_focus_move_policy_automatic_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_widget_focus_move_policy_automatic_set, EFL_FUNC_CALL(automatic), Eina_Bool automatic);

Eina_Bool _efl_ui_widget_focus_move_policy_automatic_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


static Eina_Value
__eolian_efl_ui_widget_focus_move_policy_automatic_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_widget_focus_move_policy_automatic_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_focus_move_policy_automatic_get, Eina_Bool, 0);

Eina_Bool _efl_ui_widget_focus_state_apply(Eo *obj, Efl_Ui_Widget_Data *pd, Efl_Ui_Widget_Focus_State current_state, Efl_Ui_Widget_Focus_State *configured_state, Efl_Ui_Widget *redirect);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_widget_focus_state_apply, Eina_Bool, 0, EFL_FUNC_CALL(current_state, configured_state, redirect), Efl_Ui_Widget_Focus_State current_state, Efl_Ui_Widget_Focus_State *configured_state, Efl_Ui_Widget *redirect);

Efl_Object *_efl_ui_widget_efl_object_constructor(Eo *obj, Efl_Ui_Widget_Data *pd);


Efl_Object *_efl_ui_widget_efl_object_finalize(Eo *obj, Efl_Ui_Widget_Data *pd);


void _efl_ui_widget_efl_object_invalidate(Eo *obj, Efl_Ui_Widget_Data *pd);


void _efl_ui_widget_efl_object_destructor(Eo *obj, Efl_Ui_Widget_Data *pd);


Efl_Object *_efl_ui_widget_efl_object_provider_find(const Eo *obj, Efl_Ui_Widget_Data *pd, const Efl_Class *klass);


void _efl_ui_widget_efl_object_debug_name_override(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Strbuf *sb);


void _efl_ui_widget_efl_gfx_color_color_set(Eo *obj, Efl_Ui_Widget_Data *pd, int r, int g, int b, int a);


void _efl_ui_widget_efl_gfx_entity_visible_set(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Bool v);


void _efl_ui_widget_efl_gfx_entity_position_set(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Position2D pos);


void _efl_ui_widget_efl_gfx_entity_size_set(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Size2D size);


void _efl_ui_widget_efl_gfx_entity_scale_set(Eo *obj, Efl_Ui_Widget_Data *pd, double scale);


double _efl_ui_widget_efl_gfx_entity_scale_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


void _efl_ui_widget_efl_canvas_object_clipper_set(Eo *obj, Efl_Ui_Widget_Data *pd, Efl_Canvas_Object *clipper);


void _efl_ui_widget_efl_canvas_object_no_render_set(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Bool enable);


void _efl_ui_widget_efl_canvas_group_group_calculate(Eo *obj, Efl_Ui_Widget_Data *pd);


void _efl_ui_widget_efl_canvas_group_group_member_remove(Eo *obj, Efl_Ui_Widget_Data *pd, Efl_Canvas_Object *sub_obj);


void _efl_ui_widget_efl_canvas_group_group_member_add(Eo *obj, Efl_Ui_Widget_Data *pd, Efl_Canvas_Object *sub_obj);


const char *_efl_ui_widget_efl_access_object_i18n_name_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


Efl_Access_State_Set _efl_ui_widget_efl_access_object_state_set_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


Eina_List *_efl_ui_widget_efl_access_object_access_children_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


Eina_List *_efl_ui_widget_efl_access_object_attributes_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


Eina_Bool _efl_ui_widget_efl_access_component_focus_grab(Eo *obj, Efl_Ui_Widget_Data *pd);


Efl_Ui_Focus_Manager *_efl_ui_widget_efl_ui_focus_object_focus_manager_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


Efl_Ui_Focus_Object *_efl_ui_widget_efl_ui_focus_object_focus_parent_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


Eina_Rect _efl_ui_widget_efl_ui_focus_object_focus_geometry_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


void _efl_ui_widget_efl_ui_focus_object_focus_set(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Bool focus);


void _efl_ui_widget_efl_ui_i18n_mirrored_set(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Bool rtl);


Eina_Bool _efl_ui_widget_efl_ui_i18n_mirrored_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


void _efl_ui_widget_efl_ui_i18n_mirrored_automatic_set(Eo *obj, Efl_Ui_Widget_Data *pd, Eina_Bool automatic);


Eina_Bool _efl_ui_widget_efl_ui_i18n_mirrored_automatic_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


Eina_Bool _efl_ui_widget_efl_ui_focus_object_on_focus_update(Eo *obj, Efl_Ui_Widget_Data *pd);


void _efl_ui_widget_efl_ui_l10n_translation_update(Eo *obj, Efl_Ui_Widget_Data *pd);


Efl_Object *_efl_ui_widget_efl_part_part_get(const Eo *obj, Efl_Ui_Widget_Data *pd, const char *name);


void _efl_ui_widget_efl_ui_view_model_set(Eo *obj, Efl_Ui_Widget_Data *pd, Efl_Model *model);


Efl_Model *_efl_ui_widget_efl_ui_view_model_get(const Eo *obj, Efl_Ui_Widget_Data *pd);


Eina_Error _efl_ui_widget_efl_ui_property_bind_property_bind(Eo *obj, Efl_Ui_Widget_Data *pd, const char *key, const char *property);


static Eina_Bool
_efl_ui_widget_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_WIDGET_EXTRA_OPS
#define EFL_UI_WIDGET_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_widget_cursor_set, _efl_ui_widget_cursor_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_cursor_get, _efl_ui_widget_cursor_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_cursor_style_set, _efl_ui_widget_cursor_style_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_cursor_style_get, _efl_ui_widget_cursor_style_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_cursor_theme_search_enabled_set, _efl_ui_widget_cursor_theme_search_enabled_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_cursor_theme_search_enabled_get, _efl_ui_widget_cursor_theme_search_enabled_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_resize_object_set, _efl_ui_widget_resize_object_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_disabled_set, _efl_ui_widget_disabled_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_disabled_get, _efl_ui_widget_disabled_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_style_set, _efl_ui_widget_style_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_style_get, _efl_ui_widget_style_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_input_event_handler, _efl_ui_widget_widget_input_event_handler),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_focus_allow_set, _efl_ui_widget_focus_allow_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_focus_allow_get, _efl_ui_widget_focus_allow_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_parent_set, _efl_ui_widget_widget_parent_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_parent_get, _efl_ui_widget_widget_parent_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_access_info_set, _efl_ui_widget_access_info_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_access_info_get, _efl_ui_widget_access_info_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_on_access_activate, _efl_ui_widget_on_access_activate),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_on_access_update, _efl_ui_widget_on_access_update),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_sub_object_add, _efl_ui_widget_widget_sub_object_add),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_sub_object_del, _efl_ui_widget_widget_sub_object_del),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_theme_apply, _efl_ui_widget_theme_apply),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_scroll_hold_push, _efl_ui_widget_scroll_hold_push),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_scroll_hold_pop, _efl_ui_widget_scroll_hold_pop),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_scroll_freeze_push, _efl_ui_widget_scroll_freeze_push),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_scroll_freeze_pop, _efl_ui_widget_scroll_freeze_pop),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_interest_region_get, _efl_ui_widget_interest_region_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_focus_highlight_geometry_get, _efl_ui_widget_focus_highlight_geometry_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_focus_move_policy_set, _efl_ui_widget_focus_move_policy_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_focus_move_policy_get, _efl_ui_widget_focus_move_policy_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_focus_move_policy_automatic_set, _efl_ui_widget_focus_move_policy_automatic_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_focus_move_policy_automatic_get, _efl_ui_widget_focus_move_policy_automatic_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_focus_state_apply, _efl_ui_widget_focus_state_apply),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_widget_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_ui_widget_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_ui_widget_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_widget_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_provider_find, _efl_ui_widget_efl_object_provider_find),
      EFL_OBJECT_OP_FUNC(efl_debug_name_override, _efl_ui_widget_efl_object_debug_name_override),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_set, _efl_ui_widget_efl_gfx_color_color_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_set, _efl_ui_widget_efl_gfx_entity_visible_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_ui_widget_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, _efl_ui_widget_efl_gfx_entity_size_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_scale_set, _efl_ui_widget_efl_gfx_entity_scale_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_scale_get, _efl_ui_widget_efl_gfx_entity_scale_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_clipper_set, _efl_ui_widget_efl_canvas_object_clipper_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_no_render_set, _efl_ui_widget_efl_canvas_object_no_render_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_calculate, _efl_ui_widget_efl_canvas_group_group_calculate),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_member_remove, _efl_ui_widget_efl_canvas_group_group_member_remove),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_member_add, _efl_ui_widget_efl_canvas_group_group_member_add),
      EFL_OBJECT_OP_FUNC(efl_access_object_i18n_name_get, _efl_ui_widget_efl_access_object_i18n_name_get),
      EFL_OBJECT_OP_FUNC(efl_access_object_state_set_get, _efl_ui_widget_efl_access_object_state_set_get),
      EFL_OBJECT_OP_FUNC(efl_access_object_access_children_get, _efl_ui_widget_efl_access_object_access_children_get),
      EFL_OBJECT_OP_FUNC(efl_access_object_attributes_get, _efl_ui_widget_efl_access_object_attributes_get),
      EFL_OBJECT_OP_FUNC(efl_access_component_focus_grab, _efl_ui_widget_efl_access_component_focus_grab),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_object_focus_manager_get, _efl_ui_widget_efl_ui_focus_object_focus_manager_get),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_object_focus_parent_get, _efl_ui_widget_efl_ui_focus_object_focus_parent_get),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_object_focus_geometry_get, _efl_ui_widget_efl_ui_focus_object_focus_geometry_get),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_object_focus_set, _efl_ui_widget_efl_ui_focus_object_focus_set),
      EFL_OBJECT_OP_FUNC(efl_ui_mirrored_set, _efl_ui_widget_efl_ui_i18n_mirrored_set),
      EFL_OBJECT_OP_FUNC(efl_ui_mirrored_get, _efl_ui_widget_efl_ui_i18n_mirrored_get),
      EFL_OBJECT_OP_FUNC(efl_ui_mirrored_automatic_set, _efl_ui_widget_efl_ui_i18n_mirrored_automatic_set),
      EFL_OBJECT_OP_FUNC(efl_ui_mirrored_automatic_get, _efl_ui_widget_efl_ui_i18n_mirrored_automatic_get),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_object_on_focus_update, _efl_ui_widget_efl_ui_focus_object_on_focus_update),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_translation_update, _efl_ui_widget_efl_ui_l10n_translation_update),
      EFL_OBJECT_OP_FUNC(efl_part_get, _efl_ui_widget_efl_part_part_get),
      EFL_OBJECT_OP_FUNC(efl_ui_view_model_set, _efl_ui_widget_efl_ui_view_model_set),
      EFL_OBJECT_OP_FUNC(efl_ui_view_model_get, _efl_ui_widget_efl_ui_view_model_get),
      EFL_OBJECT_OP_FUNC(efl_ui_property_bind, _efl_ui_widget_efl_ui_property_bind_property_bind),
      EFL_UI_WIDGET_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"cursor", __eolian_efl_ui_widget_cursor_set_reflect, __eolian_efl_ui_widget_cursor_get_reflect},
      {"cursor_style", __eolian_efl_ui_widget_cursor_style_set_reflect, __eolian_efl_ui_widget_cursor_style_get_reflect},
      {"cursor_theme_search_enabled", __eolian_efl_ui_widget_cursor_theme_search_enabled_set_reflect, __eolian_efl_ui_widget_cursor_theme_search_enabled_get_reflect},
      {"disabled", __eolian_efl_ui_widget_disabled_set_reflect, __eolian_efl_ui_widget_disabled_get_reflect},
      {"style", __eolian_efl_ui_widget_style_set_reflect, __eolian_efl_ui_widget_style_get_reflect},
      {"focus_allow", __eolian_efl_ui_widget_focus_allow_set_reflect, __eolian_efl_ui_widget_focus_allow_get_reflect},
      {"access_info", __eolian_efl_ui_widget_access_info_set_reflect, __eolian_efl_ui_widget_access_info_get_reflect},
      {"focus_move_policy_automatic", __eolian_efl_ui_widget_focus_move_policy_automatic_set_reflect, __eolian_efl_ui_widget_focus_move_policy_automatic_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_widget_class_desc = {
   EO_VERSION,
   "Efl.Ui.Widget",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   sizeof(Efl_Ui_Widget_Data),
   _efl_ui_widget_class_initializer,
   _efl_ui_widget_class_constructor,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_widget_class_get, &_efl_ui_widget_class_desc, EFL_CANVAS_GROUP_CLASS, EFL_ACCESS_OBJECT_MIXIN, EFL_ACCESS_COMPONENT_MIXIN, EFL_PART_INTERFACE, EFL_UI_FOCUS_OBJECT_MIXIN, EFL_UI_I18N_INTERFACE, EFL_UI_L10N_INTERFACE, EFL_UI_SELECTION_MIXIN, EFL_UI_DND_MIXIN, EFL_UI_PROPERTY_BIND_INTERFACE, EFL_UI_VIEW_INTERFACE, NULL);
